#!/bin/bash
# Modify the line below, point the ANDROID_SDK to the android sdk you 
# downloaded.
export ANDROID_SDK=/opt/android-sdk
#
#
export HERE=${PWD}
export DALVIK_SDK=$HERE/../../
export JAVAFX_APP_DIR=$HERE/ensemble
export PATH=$ANDROID_SDK/tools:$PATH
export WORKDIR=$HERE/android
export PACKAGE="org.javafxports.ensemble8"
export NAME="Ensemble8Android"
export MAINCLASS="ensemble.EnsembleApp"
./gradlew --info createProject -PDEBUG -PDIR=$WORKDIR -PPACKAGE=$PACKAGE -PNAME=$NAME  \
-PANDROID_SDK=$ANDROID_SDK -PJFX_SDK=$DALVIK_SDK -PJFX_APP=$JAVAFX_APP_DIR -PJFX_MAIN=$MAINCLASS
